<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>

        <variable
            name="vm"
            type="com.yidian.shenghuoquan.bgoods.ui.coupon.viewmodel.CommodityListViewModel" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <com.scwang.smart.refresh.layout.SmartRefreshLayout
            android:id="@+id/rl_commodity_list"
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rv_commodity_list"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:paddingStart="@dimen/dp16"
                android:paddingTop="@dimen/dp8"
                android:paddingEnd="@dimen/dp16"
                android:paddingBottom="@dimen/dp8" />

        </com.scwang.smart.refresh.layout.SmartRefreshLayout>

        <com.yidian.bcommon.widget.CommonEmptyPageView
            android:id="@+id/pv_empty_page"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:visibility="gone"
            app:CommonEmptyPageView_empty_content_text="@string/no_commodity"
            app:CommonEmptyPageView_empty_tips_text="@string/click_post_commodity"
            app:CommonEmptyPageView_place_holder_img="@drawable/img_empty_place_holder" />

    </androidx.constraintlayout.widget.ConstraintLayout>

</layout>